### Method

# Ide TextEdit get_text

#### Declaration

    const gchar*
    ide_text_edit_get_text (
      IdeTextEdit* self
    )

#### Description

Gets the text for the edit.

Available since: | 3.32

Gets property | `Ide.TextEdit:text`

#### Return value

Returns: | `const gchar*`
| The text to replace, or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.